<div class="card col-md-6 offset-md-3 mt-5 animate__animated animate__fadeIn">
    <h4 class="card-header text-center" style="background-color: #0d6efd; color: white;">Login</h4>
    <div class="card-body">
      
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="username">Username</label>
                <input type="text" formControlName="username" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.username.errors }" />
                  <div *ngIf="submitted && formData.username.errors" class="invalid-feedback">
                      <div *ngIf="formData.username.errors.required">Username is required</div>
                  </div>
            </div>
            <br>
  
            <div class="form-group">
              <label for="password">Password</label>
              <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.password.errors }" />
              <div *ngIf="submitted && formData.password.errors" class="invalid-feedback">
                  <div *ngIf="formData.password.errors.required">Password is required</div>
              </div>
            </div>
            <br>
  
            <div class="form-group">
                <button class="btn btn-primary">
                    Login
                </button>
            </div>
            
        </form>
    </div>
  </div>